Obtenir un magasin par ID
Récupère un magasin par id.
GET
/stores/{storeId}Autorisation
AutorisationJeton Bearer (API key) · headerobligatoireClé API de l’organisation.
Paramètres de chemin
storeIdstringobligatoireRéponses
200Détails du magasin
dataStoreobligatoireStore location. Payment integration secrets are never returned.
Afficher les propriétésMasquer les propriétés
idstringnamestringcitystringHuman-readable store label within the organization
addressstringzipCodestringvatNumberstringpaymentCashbooleanpaymentPaytecbooleanpaymentZahlsbooleanpaymentZahlsOfflinebooleanpaymentCashOfflinebooleanshowSupplierbooleanlogoUrlstringlanguageMainstringAutorisé:
deenfritdeletedboolean403Non autorisé
statusCodeintegerobligatoireCode de statut HTTP
messagestringobligatoireMessage d’erreur lisible
timestampstring<date-time>obligatoirepathstringobligatoireChemin de la requête
404Introuvable
statusCodeintegerobligatoireCode de statut HTTP
messagestringobligatoireMessage d’erreur lisible
timestampstring<date-time>obligatoirepathstringobligatoireChemin de la requête
Requête
curl -X GET "https://dashboard.scango.ch/api/v1/stores/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://dashboard.scango.ch/api/v1/stores/string", {
method: "GET",
headers: {
"Autorisation": "Bearer YOUR_TOKEN"
}
});Réponse
{
"data": {
"id": "string",
"name": "string",
"city": "string",
"address": "string",
"zipCode": "string",
"vatNumber": "string",
"paymentCash": true,
"paymentPaytec": true,
"paymentZahls": true,
"paymentZahlsOffline": true,
"paymentCashOffline": true,
"showSupplier": true,
"logoUrl": "string",
"languageMain": "de",
"deleted": true
}
}{
"statusCode": 0,
"message": "string",
"timestamp": "2024-01-01T00:00:00Z",
"path": "string"
}{
"statusCode": 0,
"message": "string",
"timestamp": "2024-01-01T00:00:00Z",
"path": "string"
}